Panda3D

- Main Page
- Packages
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | Static Public Attributes

# LerpFunctionNoStateInterval Class Reference

Inheritance diagram for LerpFunctionNoStateInterval:

List of all members.

## Public Member Functions
def | __init__
def | privStep
| Evaluate function apply(self.function, [data] + self.extraArgs) self.state = CInterval.SStarted self.currT = t.
## Public Attributes
| blendType
| currT
| duration
| extraArgs
| fromData
| function
| state
| toData
## Static Public Attributes
int | lerpFunctionIntervalNum = 1
tuple | notify = directNotify.newCategory('LerpFunctionNoStateInterval')

## Detailed Description

    Class used to execute a function over time.  Function can access fromData
    and toData to perform blend.  If fromData and toData not specified, will
    execute the given function passing in values ranging from 0 to 1

    This is different from a standard LerpFunction, in that it assumes
    the function is not modifying any state that needs to be kept; so
    that it will only call the function while the lerp is actually
    running, and will not be guaranteed to call the function with its
    final value of the lerp.  In particular, if the lerp interval
    happens to get skipped over completely, it will not bother to call
    the function at all.

## Constructor & Destructor Documentation

def __init__ | ( |  | self,
|  |  | function,
|  |  | duration = `0.0`,
|  |  | fromData = `0`,
|  |  | toData = `1`,
|  |  | blendType = `'noBlend'`,
|  |  | extraArgs = `[]`,
|  |  | name = `None`
| ) |  |

    __init__(function, duration, fromData, toData, name)

## Member Function Documentation

def privStep | ( |  | self,
|  |  | t
| ) |  |

Evaluate function apply(self.function, [data] + self.extraArgs) self.state = CInterval.SStarted self.currT = t.

Reimplemented from Interval.

## Member Data Documentation

blendType

currT

Reimplemented from Interval.

duration

Reimplemented from Interval.

extraArgs

fromData

function

int lerpFunctionIntervalNum = 1`[static]`

tuple notify = directNotify.newCategory('LerpFunctionNoStateInterval')`[static]`

Reimplemented from Interval.

state

Reimplemented from Interval.

toData

All Classes Namespaces Functions Variables Enumerations Enumerator Properties